package com.ss.android.ugc.aweme.newuser;

import X.C32983fO;
import X.Lnj;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.ss.android.ugc.aweme.launcher.service.newuser.INewUserApi;

public final class NewUserImpl implements INewUserApi {
    static {
        Covode.recordClassIndex(94925);
    }

    public final void LIZ() {
        C32983fO.LIZ.LIZ();
    }

    public static INewUserApi LIZIZ() {
        MethodCollector.i(3326);
        INewUserApi iNewUserApi = (INewUserApi) Lnj.LIZ(INewUserApi.class, false);
        if (iNewUserApi != null) {
            MethodCollector.o(3326);
            return iNewUserApi;
        }
        Object LIZIZ = Lnj.LIZIZ(INewUserApi.class, false);
        if (LIZIZ != null) {
            INewUserApi iNewUserApi2 = (INewUserApi) LIZIZ;
            MethodCollector.o(3326);
            return iNewUserApi2;
        }
        if (Lnj.F == null) {
            synchronized (INewUserApi.class) {
                try {
                    if (Lnj.F == null) {
                        Lnj.F = new NewUserImpl();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(3326);
                    throw th;
                }
            }
        }
        NewUserImpl newUserImpl = (NewUserImpl) Lnj.F;
        MethodCollector.o(3326);
        return newUserImpl;
    }
}
